############################ RELEASE NOTES ##############################
*************************************************************************
Release:   1.0.0.0
Data:      11/02/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione: 
Prima Release distribuita con pacchetto di installazione che comprende  
anche il programma di configurazione (EpsonFpMateConfig) per la creazione 
del file "Settings.xml"
*************************************************************************
Release:   1.0.0.1
Data:      14/02/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione: 
Il pacchetto di installazione crea i collegamenti con il Desktop ed il 
Menu Programmi.
*************************************************************************
Release:   1.0.0.2
Data:      23/02/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione: 
Visualizzazione di una MessageBox nel caso di errori Check MD5
I nomi dei files di log possono essere definiti dall'utente. 
Definizione di una dimensione massima per i files di log. 
Raggiunta la Max dimensione vengono cancellati e salvati in un file .old
Aggiunto un pulsante per effettuare la lettura del totale fiscale
Aggiunto gestione di scontrini non fiscali
Inserito pulsanti per chiusura forzata o annullamento di scontrini aperti
I pulsanti vengono resi visibili solo nel caso di scontrini aperti
*************************************************************************
Release:   1.0.0.3
Data:      28/02/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Reso visibili i pulsanti di annullamento e chiusura scontrini anche nel
caso in cui non vi siano scontrini aperti
*************************************************************************
Release:   1.0.0.4
Data:      01/03/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Reso possibile annullamento di operazioni nel caso in cui non si abbia 
comunicazione con la stampante. Questo evita di dover attivare il task
manager per chiudere il programma 
*************************************************************************
Release:   1.0.0.5
Data:      03/03/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Corretto Bug che impediva la gestione simultanea di più stampanti
questo avveniva sia per la gestione di files di input (formato Txt) che
in modalità comandi
*************************************************************************
Release:   1.0.0.6
Data:      21/03/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Eliminato inserimento dell'Icona nella system tray nell'utilizzo
in Single Shot.
*************************************************************************
Release:   1.0.0.7
Data:      21/03/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Corretto bug gestione setting file in single shot.
*************************************************************************
Release:   1.0.0.8
Data:      22/04/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Eliminiazione vecchio file loginput.old prima di generarne un altro
 Allungato Time Out attesa file di input a 2.5 secondi
*************************************************************************
Release:   1.0.0.9
Data:      09/05/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Ricompilato il tutto con installato EpsonFp2.ocx Rel. 2.0.0.65
*************************************************************************
Release:   1.0.0.10
Data:      13/05/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Corretto problema su generazione file di output nel caso di scontrini
non fiscali generati da file di input in formato Xml.
Veniva restituito un codice di errore anche se il file era stato
processato correttamente.
*************************************************************************
Release:   1.0.0.11
Data:      09/06/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Eliminato operazione di ristampa scontrino.
Aggiunto gestione di messaggi di cortesia per display.
Corretto prinRecRefund (continua però ad accettare anche prinRecRefound)
*************************************************************************
Release:   1.0.0.12
Data:      09/06/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Aggiunto filtro per parole proibite su scontrino. L'ultimo carattere
viene sostituito da un asterisco.
Aggiunto stampa di codici a barre al termine di scontrini fiscali
*************************************************************************
Release:   1.0.0.13
Data:      27/06/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Corretto errore su righe header... aggiuntive
Corretto errore su su visualizzazione stato scontrino
Aggiunto stampa di codici a barre al termine di scontrini fiscali
*************************************************************************
Release:   1.0.0.14
Data:      03/08/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Ripristinato controllo su altre instanze
Aggiunto comando apertura cassetto
Stampa di codici a barre per fiscali e non fiscali semplificato
*************************************************************************
Release:   1.0.0.15
Data:      10/08/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Aggiunto comando apertura cassetto anche da file
Attivata gestione file di tipo Commmand
*************************************************************************
Release:   1.0.0.16
Data:      20/09/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Portato il tempo di polling sui files da 1 sec a 250 ms per consentire 
una più snella visualizzazione dei messaggi a display.
*************************************************************************
Release:   1.0.0.17
Data:      19/10/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Ricompilato e rigenerato il pacchetto di installasione sulla base della
release 2.0.0.67 dell'ActiveX EpsonFP2.ocx
*************************************************************************
Release:   1.0.0.18
Data:      20/10/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Aggiunto comando lettura data e ora da file
Aggiunto data e ora nello stato stampante
Ripulito alcune funioni da variabili locali non utilizzate
*************************************************************************
Release:   1.0.0.19
Data:      11/11/2005
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Aggiunto gestione codice errore Number 55 "File non ancora disponibile"
Attivazione timeout di 2.5 secondi come se occupato da altro processo
*************************************************************************
Release:   1.0.0.20
Data:      02/02/2006
Autore:    Carlo Guietti
-------------------------------------------------------------------------
Descrizione:
Inserito stampa da DGFE di ultimo scontrino fiscale emesso.
Eliminato controlli windows in alto a destra
Inserito generazione File di Log delle chiusure comandate da file sia che
siano andate a buon fine che in caso contrario. Il file viene scrtto 
nella stessa directory del programma.
Inseriti controlli su errori run-time per identificare sia l'errore che
la routine o funzione che lo ha generato
'*************************************************************************
'Release:   1.0.0.21
'Data:      07/02/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
'Aggiunto gestione FP81 ed FP90II.
'*************************************************************************
'Release:   1.0.0.22 
'Data:      05/06/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
Descrizione:
Modificato gestione Log File Chiusure rendendola uguale agli altri.
La modifica ha richiesto la generazione della release 1.0.0.3 del programma
di Configurazione "EpsonFpMateConfig"
Gestione file di input anche con comandi abilitati. La disabilitazione
avviene in modo temporaneo.
'*************************************************************************
'Release:   3.0.0.0
'Data:      21/06/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
Descrizione:
Aggiunto possibilità di invio coupons grafici per fiscali e non fiscali
Inseriti comandi per accedere dirattamente a metodi e proprietà del driver
EpsonFp2.ocx
Modificata default per file input txt definendo come carattere separatore
il carattere pipe "|" anzichè semicolon (punto e virgola). 
'*************************************************************************
'Release:   3.0.0.1
'Data:      21/06/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
Descrizione:
Sostituita keyword "printerPassThroughMethod"con directIO
'*************************************************************************
'Release:   3.0.0.2
'Data:      31/08/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
'Cambiato versione di ActiveX
'Eliminato messaggio di mancata gestione scontrini con comandi abilitati
'Ampliata informazione diagnostica includendo anche codici di ritorno 
' di OCX e della fiscal printer.
'*************************************************************************
'Release:   3.0.0.3
'Data:      20/09/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
'Evitata chiusura applicazione mediante comando Alt F4. Viene richiesta 
' conferma
'*************************************************************************
'Release:   3.0.0.4
'Data:      04/12/2006
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Versione Multilanguage per quanto riguarda messaggi utente
' Inserita possibilità si escludere solo i messaggi di quasi Fine Carta 
' File di Output in caso di errore contiene informazioni su:
'       Release software EpsonFpMate
'       Relase Firmware Scheda Fiscale e Memoria Fiscale
'       Stato stampante e DGFE (ultima acquisizione)
' Inserito comando da file per lettura DGFE (trasferimento su file)
' Inserito comando da file per lettura stato stampante  (su file)
' Inserito opzione controllo solo presenza file di check escludendo il
' calcolo MD5
' Inserito selezione lingua per Message box e pulsanti
'*************************************************************************
'Release:   3.0.0.5
'Data:      23/01/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Corretto generazione file Xml di output. Erano presenti caratteri impropri
' davanti al numero scontrino
' Corretto controllo time-out sulla generazione file di uscita
' Portato a 125 msec il tempo di di attesa loop sul main program
' Corretto gestione directIO per gestire chiamate a metodi con parametri
' opzionali
'*************************************************************************
'Release:   3.0.0.6
'Data:      31/01/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Programma ricompilato in seguito ad aggiornamento sw ambiente di sviluppo
'*************************************************************************
'Release:   3.0.0.7
'Data:      02/02/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Ripristinato gestione directIO come nella versioni precedenti alla 3.0.0.5
' in alcuni ambienti 2003 server la modifica non era funzionante.
' Corretto gestione Log file di output. con alcuni tipi di errore non aggiornava
' il file
'*************************************************************************
'Release:   3.0.0.8
'Data:      23/02/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Disabilitato comandi nel corso della esecuzioni comandate manualmente
' eliminato BUG che provocava disabilitazione dei comandi se si tornava da 
' una richiesta lettura DGFE senza averla effettuata.
' Eliminato parentesi (array) nelle dichiarazioni degli argomenti di tipo
' object delle funzioni  funzioni "DirectOcxCommand" e "SendOcxCommand"
''*************************************************************************
'Release:   3.0.0.9
'Data:      03/05/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Eliminato chiusura Com al termine della funzione InitialCheck perchè
' EpsonFp2.ocx provoca errore di sistema se socket non aperto
' La funzione FinalCheck restituisce struttura anzichè Valore Short
'*************************************************************************
'Release:   3.1.0.0
'Data:      16/05/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Inserito gestione pagamento EFT-POS tramite software Quercia QPAY-MC
' Ridotto tempo di attesa su fine carta quando disattivate Msg boxes
' Inserito informazioni sul sistema e versioni Sw ai dati del file log
' di output.
'*************************************************************************
'Release:   3.1.0.1
'Data:      29/05/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Eliminato chiusura porta Com al termine della elaborazione.
' La porta viene chiusa solo alla uscita del programma.
' Gestione errore sul controllo istanze programma
'*************************************************************************
'Release:   3.1.0.2
'Data:      01/06/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Stampa scontrino non fiscalein caso di esito negativo pagamento elettronico.
'*************************************************************************
'Release:   3.1.0.3
'Data:      28/06/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Eliminazione retry su lettura serial number con lettura stato printer se
' non abilitate Message Box.
'*************************************************************************
'Release:   3.1.0.4
'Data:      21/08/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiornato gestione comando stampa subtotale.
'*************************************************************************
'Release:   3.1.0.5
'Data:      10/09/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Gestione keyword "PRATICA DI RESO" inviando il comando come primo messaggio
' anche se in posizione diversa dalla prima nel file di input
'*************************************************************************
'Release:   3.1.0.6
'Data:      12/09/2007
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Bug fixing nella gestione keyword "PRATICA DI RESO" 
'*************************************************************************
'Release:   3.1.0.7
'Data:      08/01/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Bug fixing:
' Additional headers are sent before "PRATICA DI RESO" message
'*************************************************************************
'Release:   3.1.0.8
'Data:      14/03/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Bug fixing: (introdotto da 3.1.0.1)
' Gestine di più stampanti connesse ad un unico PC su seriali diverse
'*************************************************************************
'Release:   3.1.0.9
'Data:      25/04/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Cambiato immagine sfondo
' Aggiunto pacchetto opzionale per avvio automatico programma
'*************************************************************************
'Release:   3.1.0.10
'Data:      15/05/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto gestione stampa fatture
' Aggiunto opzione per disabilitare tramite configuratore comandi critici
'*************************************************************************
'Release:   3.1.0.11
'Data:      21/05/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiornato gestione Adjustment con maggiorazioni (oltre che sconti)
'*************************************************************************
'Release:   3.1.0.12
'Data:      03/07/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Fissato problema relativo alla gestione del comando "Open Drawer"
' dallo schermo
'*************************************************************************
'Release:   3.1.0.13
'Data:      20/08/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Recupero autotatico dell'errore di fine carta. Sostituita la MsgBox con
' una Form che sparisce al cessare della causa di errore.
'*************************************************************************
'Release:   3.1.0.14
'Data:      10/09/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiornamento pacchetto per distribuzione ed installazione
' Aggiornato manuale nella parte gestione errori
' Aggiunto file "EpsonFp2Config.xml" nella System directory per consentire
' trace diagnostici della comunicazione tra driver Ocx e fiscal printer
'*************************************************************************
'Release:   3.1.0.15
'Data:      22/09/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Gestione files e copuon grafici, aggiunto possibilita di definizione path
' completo per il file grafico di input
'*************************************************************************
'Release:   3.1.0.15
'Data:      22/09/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Gestione files e copuon grafici, aggiunto possibilita di definizione path
' completo per il file grafico di input
'*************************************************************************
'Release:   3.1.0.16
'Data:      24/09/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Set up comunicazione con parita', databits e stopbits
' Aggiunto informazione su versione ocx
'*************************************************************************
'Release:   3.2.0.0
'Data:      26/09/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto comando (pulsante) per chiusura fiscale con rapporto finanziario
' Aggiunto informazione su versione ocx
'*************************************************************************
'Release:   3.2.0.1
'Data:      07/10/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto controllo disponibilita directory di input ed eventuale messaggio
' di warning se la directory non viene trovata
'*************************************************************************
'Release:   3.2.0.2
'Data:      26/11/2008
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Corretto gestione messaggio Printer OFF-LINE nel caso di attivazione 
' FpMate con stampante spenta o scollegata
'*************************************************************************
'Release:   3.2.0.3
'Data:      22/01/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Modificato il file "EpsonFp2Config.xml" nella System directory per consentire
' trace diagnostici della comunicazione tra driver Ocx e fiscal printer
' per default la trace viene disattivata (vedi Rel. note 3.1.0.14)
'*************************************************************************
'Release:   3.2.0.4
'Data:      09/03/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto info su sistema e versioni nei files inputLog ed outputLog
' Aggiunto codice di errore OCX nel caso di runtime errors scaturiti in seguito
' a chiamata metodo. Il runtime error in seguito a chiamata metodo OCX non
' provoca più l'uscita dall'aaplicazione.
'*************************************************************************
'Release:   3.2.0.5
'Data:      23/03/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Fissato bug relativo a gestione apertura socket TCP-IP 
' Eliminati Retry nel caso di stampa EJ 
'*************************************************************************
'Release:   3.2.0.6
'Data:      09/07/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Allungato time out su apertura file
' Aggiunto codice di errore relativo alla impossibilità di apertura file
' Inserito controlli su dimensione file di input 
' Aggiunto controllo correttezza comando anche nel caso di files xml 
'*************************************************************************
'Release:   3.2.0.7
'Data:      01/12/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Versione transitoria di test
'*************************************************************************
'Release:   3.3.0.0
'Data:      17/12/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Caricato EpsonFp2.ocx release 2.0.84
' Eurosettings settato a comunicazione chiusa
' Rigenerato ambiente di compilazione per evitare errore di sistema al
' caricamento del programma (su certe macchine in cui era già installata
' una versione precedente del Sw)
'*************************************************************************
'Release:   4.1.0.0
'Data:      17/12/2009
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Ricompilazione in ambiente VisualStudio dotnet.2005
'*************************************************************************
'Release:   4.1.0.1
'Data:      13/01/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Abilitato aggiornamento iniziale orologio (per discrepanze) solo se 
' la funzione è abilitata dal setup iniziale
'*************************************************************************
'Release:   4.1.0.2
'Data:      26/03/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' La ricerca del file settings.xml non avviene più nella directory di default
' ma indicando secondo il path completo. Questo per consentire l'attivazione
' EpsonFpMate anche da directory diverse (altre applicazioni)
' Costruito su versione 2.0.86 di EpsonFp2.ocx
' Solo nel caso di comunicazione lan:
' - E' stata eliminata ricognizione iniziale delle stampanti
' - Viene Chiuso il socket di comunicazione al termine della operazione 
'   richiesta.
'*************************************************************************
'Release:   5.0.0.0
'Data:      22/09/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto gestione stampante fiscale Greca
' Aggiunto retry su lettura stato a fine scontrino prima di confermara
' l'esito negativo. Saltuariamente Succedeva che, con connessione LAN,
' si aveva un responso diagnostico con errore anche l'operazione si era
' completata correttamente
'*************************************************************************
'Release:   5.1.0.0
'Data:      06/10/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto gestione errori con informazione sul file di ritorno relativo
' al metodo che ha dato origine all'errore.
' Aggiunto gestione files txt in formato WinEcrCom
'*************************************************************************
'Release:   5.1.0.1
'Data:      22/10/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Corretto generazione output file relativo a condizioni di errore del
' file di input. Nel caso di file non gestibile si aveva un errore
' di indici al fuori di una tabella
'*************************************************************************
'Release:   5.1.0.2
'Data:      11/11/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Allargamento finestra per lettura EJ ( In alcuni casi non apparivano
' tutti i caratteri di una riga)
' Gestione Time out di comunicazione
' Messa a punto gestione files Txt in Formato WinEcrCom
' Messa a punto gestione stampante fiscale Greca
'*************************************************************************
'Release:   5.1.0.3
'Data:      03/12/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Eliminato retry automatici su errori di Timeout. 
' Un retry è già fatto automaticemente dal driver EpsonFp2.ocx
' Uscita dal programma se non viene trovata la directory di input
' MessageBox più appropriate se non viene trovata la directory di Output
' MessageBox più appropriate se non viene trovata la drectory di un Log File
'*************************************************************************
'Release:   5.1.0.4
'Data:      23/12/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Gestione caratteri 0D come terminatore di riga (sconto) nel caso di
'   files WinEcrCom
' Inserito retry su Runtime errors all'avvio di EpsonFpMate
' Inserito controllo stato operativo (X, Z, Set) all'accensione e come
'   controllo preliminare prima della gestione scontrini
' Eliminato controllo stato stampante al termine della gestine di files
'  di tipo Command
'*************************************************************************
'Release:   5.2.0.0
'Data:      27/12/2010
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Ricompilato con opzioni per poter funzionare su sistemi a 64 bit (x86)
' TimeOut di comunicazione portato a 120 secondi nel caso di stampa reports 
' (Z reports, EJ reports)
'*************************************************************************
'Release:   5.3.0.0
'Data:      02/02/2011
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiunto al "superinstaller" patch TMSCOMUSB per sistemi a 64 bit
'*************************************************************************
'Release:   5.3.0.1
'Data:      02/03/2011
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiornato driver EpsonFp2.ocx con versione 1.0.90
' Aggiornato EpsonFp2Config con versione 1.2.0.0
' Aggiunto metodo QueryContentByNumbers per lettura EJ
' Aggiunto metodo DirectIO verso la stampante
' Gestione time out in funzione del tipo di connessione (LAN/RS232)
'*************************************************************************
'Release:   5.3.0.2
'Data:      13/04/2011
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Aggiornato driver EpsonFp2.ocx con versione 1.0.91 
' La versione 1.0.90 presentava un errore nella gestione stampa EJ reports
' 
' Corretto EpsonFpMateConfig poichè non salvava correttamente nel file 
' settings.xml la configurazione della printer3
' 
' Corretto bug EpsonFpMate che,in certe condizioni, non apriva correttamente
' la porta seriale (se diversa da COM1) emettedo un messaggio di errore
'*************************************************************************
'Release:   5.3.0.3
'Data:      15/04/2011
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Controllo su daily transfer. Nel caso di errore esce dalla procedura.
' Bisogna poi reinizialrla
'*************************************************************************
'Release:   5.3.0.4
'Data:      18/04/2011
'Autore:    Carlo Guietti
'-------------------------------------------------------------------------
'Descrizione:
' Per Grecia
' Affinato time out di comunicazione su gestione daily transfer
' Maggiore su prima operazione di lettura e minore nel loop.
'#########################################################################
